
SubEthaEdit 3.5.3
=================

Veränderugen:
- Verschiedene neue HTML5-verwandte CSS Schlüsselwörter hinzugefügt..
- Der Erlang Modus wurde substantiell verbessert und erweitert.
- Verschiedene kleine Verbesserungen an den HTML, Javascript, CSS und Obj-C 
  Modi.

Korrekturen:
- Probleme mit der live Web-Vorschau und Safari 5.0 wurden behoben.
- Ein Problem mit dem Javascript Modus wurde behoben, welcher zu 
  Falscheinfärbungen führte.
- Ein Problem mit dem LassoScript Modus wurde behoben, welcher zu 
  Falscheinfärbungen führte.


SubEthaEdit 3.5.2
=================

Neue Funktionen:
- Erlang Modus hinzugefügt
- Go Modus hinzugefügt
- Die Tabulator Taste kann bei einer Auswahl jetzt auch zum Ein- und Ausrücken 
  verwendet werden. Diese Option ist standardmäßig an und kann pro Mode 
  eingestellt werden.
- Der Objective-C wurde um fehlende Funktionen und Properties der iPhone-SDK 
  Klassen erweitert.
- Die Textersetzungen von Snow Leopard werden jetzt unterstützt.

Veränderugen:
- Der Umgang mit Modi die eine neuere SubEthaEngine benötigen, wurde 
  verbessert.
- Standard-Kodierung für neue Installationen auf UTF-8 geändert.

Korrekturen:
- Ein Problem mit Snow Leopard wurde behoben, welches bei automatischer 
  Rechtschreibprüfung zu seltsamen Verhalten führte.
- Ein Problem mit der Web-Vorschau wurde behoben, welches ausgeblendete Blöcke 
  nicht darstellte.
- Ein Problem mit der Web-Vorschau wurde behoben, welches bei manchen Basis 
  URLs das update der gesamten Vorschau verhinderte.
- Ein Problem mit manchen erweiterten Regulären Ausdrücken wurde behoben, 
  welches dazu führte dass im Suchen und Ersetzen Fenster fälschlicherweise 
  Aktivität angezeigt wurde.
- Ein Problem mit Kodierungs-Konvertierung und Code Folding wurde behoben, 
  welches nicht existente Fehler zeigte.
- Ein Problem wurde behoben, durch welches Links mit nicht-ASCII-Zeichen nicht 
  korrekt erkannt wurden.
- Ein Problem wurde behoben, welches dazu führte, dass das Script Untermenü im 
  Kontext-Menü fehlte.


SubEthaEdit 3.5.1
=================

Neue Funktionen:
- Die Modus Erkennungsregeln greifen nun auch beim Einfügen von Text in ein 
  leeres Dokument.
- Der Objective-C Modus wurde um CoreGraphic, CoreAnimation und einige 
  CoreFoundation Klassen und Funktionen erweitert.

Veränderugen:
- Für zukünftige Kompatibilitäts-Checks wurde der Eintrag 
  SEEMinimumEngineVersion zur Info.plist der Syntax Modi hinzugefügt.

Korrekturen:
- Abstürze im Zusammenhang mit Code Folding wurden behoben.
- Es wurde in Problem behoben, bei dem authentifiziertes Speichern in Snow 
  Leopard nicht mehr funktionierte.
- Es wurde ein Problem mit Snow Leopard behoben, bei dem Wörter welche durch 
  Punkten getrennt waren, als ein langes Wort ausgewählt wurden.
- Es wurde ein Problem mit dem Symbol-Pop-Up behoben, welches das entsprechende 
  Symbol bei Aktivierung im falschen Fensterteil anzeigte.
- Es wurde ein Problem im PHP-HTML Modus behoben, welches zu inkonsistenter 
  Einfärbung von Instanz-Variablen führte.
- Es wurde ein Problem behoben, welches ein Dokument beim Schliessen nicht aus 
  dem Speicher entfernte und somit auch Kollaborateure nach Schliessen des 
  Dokuments weiterarbeiten ließ.
- Es wurde ein Problem im Ruby Modus behoben, welches dazu führte dass Code 
  Folding z.b. if(a==b) nicht als ausblendbar erkannte.
- Es wurde ein Problem im Perl Modus behoben, welches HEREDOC mit Leerzeichen 
  nicht richtig erkannte und somit falsch einfärbte.
- Es wurde ein Problem im Perl Modus behoben, welches dazu führte das Code 
  Folding teilweise nicht funktionierte.
- Es wurde ein Problem behoben, bei dem SubEthaEdit nicht in den Vordergrund 
  gebracht wurde, wenn ein neues Dokument über das Dock-Menü erstellt wurde.
- Es wurde ein Problem mit Modus Erkennungsregeln behoben, bei welchem 
  ungültige reguläre Ausdrücke interne Fehler erzeugten, die dazu führten dass 
  z.b. Speichern unmöglich wurde.
- Es wurde ein Problem behoben, welches bei ausgeblendeten Blöcken für 
  AppleScript den falschen Textinhalt zurücklieferte. Dies führte dazu dass 
  einige der "Check Syntax" Funktionen fehlschlugen.
- Es wurden einige kleine Probleme im Javascript Modus behoben, welche unter 
  anderem 0 nicht einfärbten.
- Es wurde die Link-Erkennung im Wiki Modus verbessert.


SubEthaEdit 3.5
===============

Neue Funktionen:
- Code Folding - SubEthaEdit bietet jetzt in allen mitgelieferten Modi die 
  Möglichkeit Code-Blöcke auszublenden. Es besteht auch die Möglichkeit eine 
  beliebige Auswahl an Text auszublenden.
- Der Dokumentstatus (Ausblendungszustand, Auswahl, Fensterposition, Modus, 
  etc.) wird jetzt auch bei reinen Textdateien in einem Xtended Attribute im 
  Dateisystem gespeichert und geladen.
- Anklickbare Links - in den Modi mit Link-Erkennung sind Links klickbar ohne 
  den Editierfluss zu behindern.
- Neue "HTML aufräumen und reformatieren" Funktion

Veränderugen:
- Es wurde die Geschwindigkeit der Applescript basierten Textmanipulationen 
  verbessert. (Betrifft z.B. die Ein-/Auskommentieren Funktion der 
  C-basierenden Modi)
- Ein Problem in mDNSResponder von Apple kann unter Umständen zu exzessivem 
  Schreiben von Logdateien führen. SubEthaEdit 3.5 reduziert die Häufigkeit des 
  Auftretens dieses Problems weiter. Falls es dennoch auftritt, kann es durch 
  Ein- und Ausschalten der Port Weiterleitung in den erweiterten Einstellungen 
  behoben werden.
- Nahezu alle Modi wurden massiv überarbeitet, unter anderem um Code Folding zu 
  bieten.
- Das seetext Format wurde überarbeitet um effizienter zu sein und das neue 
  Code Folding zu unterstützen, ist aber kompatibel geblieben.
- Es wurde eine neue Art TLS/SSL Verschlüsselung hinzugefügt, welche den 
  Schlüsselbund nicht mehr benötigt. Diese ist jetzt Standard und wird in 
  zukünftigen Version alleinig verwendet werden.
- Es wurde die Geschwindigkeit beim Arbeiten mit der Web Vorschau mit 
  Javascript intensivem Code verbessert. Insbesondere nach dem Schliessen der 
  Vorschau.

Korrekturen:
- Die Robustheit des Netzwerk Protokolls wurde verbessert.
- Der Arbeitsspeicherverbrauch bei großen Dateien wurde reduziert.
- Abstürze wurden behoben, die bei Dateigrößen jenseits von 300 MB auftreten 
  konnten.
- Es wurde ein Problem mit dem Verarbeiten von Modi behoben, das dazu führen 
  konnte das Symbole plötzlich nicht mehr anzeigt wurden.
- Es wurde ein Problem behoben, bei dem ein Rechtsklick auf einen Link dazu 
  führen konnte, dass SubEthaEdit nicht mehr reagiert.
- Es wurden kleinere Probleme mit der Erkennung und Konvertierung von 
  Dateikodierungen behoben.
- Es wurden kleinere Probleme behoben, so dass SubEthaEdit gut unter Mac OS X 
  Snow Leopard läuft.
- Es wurde ein Problem behoben, welches auftrat wenn man Zeichen einfügte, die 
  nicht in der aktuellen Dateikodierung dargestellt werden können.


SubEthaEdit 3.2.1
=================

Veränderugen:
- Ein Problem in mDNSResponder von Apple kann unter Umständen zu exzessivem 
  Schreiben von Logdateien führen. SubEthaEdit 3.2.1 reduziert die Häufigkeit 
  dieses Problems. Falls es doch auftritt, kann es durch Ein- und Ausschalten 
  der Port Weiterleitung in den erweiterten Einstellungen behoben werden.

Korrekturen:
- Ein Problem wurde behoben, welches dazu führte das CJK bedingte 
  Schriftartenwechsel eine falsche Schriftart für das verbleibende Dokument 
  bewirkten.
- Ein Fehler wurde beseitigt, welcher bewirkte das die Apple Skripte des LaTeX 
  Modus falsch eingebunden wurden.


SubEthaEdit 3.2
===============

Neue Funktionen:
- Objective-J Modus hinzugefügt
- Die Symbol-Erkennung erkennt jetzt optional auch Symbole in Kommentaren.

Veränderugen:
- Die Geschwindigkeit der Syntaxeinfärbung wurde optimiert
- Die Geschwindigkeit der Syntaxeinfärbung für Dokumente mit sehr, sehr langen 
  Zeilen wurde massiv verbessert.
- Sparkle wurde aktualisiert.
- PHP Modus wurde verbessert.
- Perl Modus wurde verbessert.
- CSS Modus wurde verbessert.
- Javascript Modus wurde verbessert.
- Lassoscript Modus wurde verbessert.
- Cold Fusion Modus wurde verbessert.
- Objective-C Modus wurde verbessert (jetzt mit UIKit).

Korrekturen:
- Ein Problem mit der Automatischen Port Weiterleitung wurde behoben, welches 
  mit manchen Routern auftrat. Ebenso wurden weitere Router unterstützt. Mehr 
  Details hierzu kann in den Versionsinformationen der Port Map Application 
  (http://www.codingmonkeys.de/portmap/) in Erfahrung gebracht werden..
- Die Farbe des Mauszeigers ist nun auch unter Leopard weiß, wenn ein dunkler 
  Hintergrund verwendet wird.
- Mehrere Fehler die unter Umständen zu Abstürzen führen konnten, wurden 
  behoben.
- Fehler des Syntax Parsers im Zusammenhang mit Symbolen und der 
  Autovervollständigung wurden behoben.
- Verschiedene kleine Fehlerkorrekturen.


SubEthaEdit 3.1
===============

Neue Funktionen:
- Automatische Port Weiterleitung - SubEthaEdit leitet jetzt Ports automatisch 
  weiter falls Sie sich hinter einem NAT befinden. Damit besteht jetzt auch in 
  diesem Fall volle Internet Erreichbarkeit.
- iChat Einladungen - iChat Kontakte können nun über Dokumenten oder dem 
  Verbindungen Fenster fallengelassen werden um sie zur Zusammenarbeit 
  einzuladen. (Benötigt Mac OS X 10.5)
- Friendcasting - wenn Sie Friendcasting aktivieren wird sich SubEthaEdit 
  automatisch mit den Freunden Ihrer Freunde verbinden. In einem typischen 
  Firmen-/Gruppen-Setup reicht jetzt ein einziger öffentlich erreichbares 
  SubEthaEdit um jeden mit jedem zu verbinden.

Veränderugen:
- Das Verbindungen Fenster wurde weitgehend überarbeitet. Unter anderem wird 
  jetzt von SSL Verbindungen ausgegangen und nur der Fall angezeigt bei dem die 
  Verbindung nicht verschlüsselt ist.
- Einträge aus dem Verbindungen Fenster können nun in Text-Eingabefelder 
  genzogen werden um die die entsprechende see://-Verbindungs-URL einzufügen.
- Der C++ Modus und dessen Symbolerkennung wurden verbessert.
- Der Latex Modus wurde verbessert.

Korrekturen:
- Ein Problem mit dem Menü für nicht mehr angezeigte Tabs wurde behoben, 
  welches diese nitch korrekt markierte.
- Ein Problem wurde behoben, welches bei einer Einladung und einem 
  gleichzeitigen Verbindungsversuch nicht automatisch zu einer funktionierend 
  Verbindung führte.
- Ein Problem mit see:// URLs wurde behoben, welches verursachte dass kein 
  Verbindungsaufbau zu dem adressierten Dokument eingeleitet wurde, falls 
  bereits eine allgemeine Verbindung bestand.
- Ein Problem mit der Anzeige von Versionierungskonflikten in der Symbolanzeige 
  wurde behoben.
- Ein Problem mit Bonjour und Back to my Mac wurde behoben, welches teilweise 
  lokale Verbindungen verhinderte.
- Ein Problem wurde behoben, welches dazu führte dass die Schreibposition nicht 
  stabil blieb wenn jemand den Text über der aktuellen Einfügemarke verändert 
  hat.
- Ein Problem wurde behoben, welches dazu führte dass die Schreibposition nicht 
  stabil blieb falls man mit mehreren Ansichten des gleichen Textes arbeitete.
- Ein Problem mit "Alles suchen" wurde behoben, welches dazu führte dass eine 
  Textstelle sehr oft hervorgehoben wurde, falls es viele Suchergebnisse gab.


SubEthaEdit 3.0.3
=================

Veränderugen:
- Ein Mausklick mit gedrückter Umschalttaste auf eine Zeilnenummer erweitert 
  jetzt die Selektion entsprechend.
- Der Objective-C Modus wurde um fehlende Methoden, Funktionen und Konstanten 
  ergänzt.
- WebKit spezifische CSS Attribute wurden allen Modi die CSS einfärben 
  hinzugefügt.
- "//" Kommentare werden in allen Modi die CSS einfärben jetzt nicht mehr 
  unterstüzt um die Standardkonformität zu wahren.
- Die Teilnehmen-Animation wurde auf 10.5 flüssiger gemacht.

Korrekturen:
- Ein Absturz beim Beenden unter 10.4.x wurde behoben, welcher auftrat wenn das 
  Programm nicht im Vordergrund war und der "Änderungen speichern" Dialog 
  benutzt wurde.
- Ein Problem mit Spaces wurde behoben, durch welches alle SubEthaEdit Fenster 
  auf einen Space gezogen wurden.
- Ein Problem mit Spaces wurde behoben, bei dem das "Suchen" Fenster auf einem 
  anderen Space sein konnte wie das Dokument in dem gesucht wurde.
- Ein Problem wurde behoben, welches die Web-Vorschau auch im "Beim Speichern" 
  Modus alle 60 Sekunden aktualisierte.
- Ein Problem wurde behoben, welches verhinderte dass die Einstellung für 
  Klicken in Rollbalken: "Anzeigen dieser Stelle" in SubEthaEdit funktionierte.
- Ein Problem in der Widerrufen/Wiederholen Funktion wurde behoben, welches 
  nach einem Benutzen des Menüpunktes "Ablage->Zurück zur letzten Version" 
  auftrat.
- Ein Problem mit der Widerrufen/Wiederholen Funktion auf Leopard wurde 
  behoben, welches ein Dokument fälschlicherweise als verändert anzeigte.
- Ein Problem im C++-Modus wurde behoben, bei dem Funktionen mit Klassen-Typen 
  als Rückgabewert nicht erkannt wurden.
- Ein Problem im C++-Modus wurde behoben, bei dem manchen eingerückten 
  Funktionen nicht erkannt wurden.
- Ein Problem im C-Modus wurde behoben, bei dem Kommentare in 
  #define-Anweisungen nicht eingefärbt wurden.


SubEthaEdit 3.0.2
=================

Veränderugen:
- Es konnte ein seltsames Verhalten der Suchen und Ersetzen funktion aufgrund 
  der "Finde längsten Treffer" Option beobachtet werden. Beginnend mit 3.0 
  wurde wird durch diese Option nur noch der längste Treffer zurückgegeben. Die 
  Option wurde umbennant in "Nur längster Treffer" um dies zu verdeutlichen, 
  und standardmäßig ausgeschalten.
- Die Optionen "Zeilenkontext" und "Negiere Zeilenkontext" wurden ebenso wie 
  die Optionen "Finde Gruppen" und "Ingoriere Gruppen" aufgrund aktueller 
  veränderungen im OgreKit und Oniguruma zusammengefügt.
- Die Arbeitsgeschwindigkeit für große Dokumente unter Leopard wurde erhöht. 

Korrekturen:
- Ein Absturz beim abermaligen Speichern eines Dokumentes, bei dem der erste 
  Speicher-Versuch abgebrochen wurde, wurde behoben.
- Ein Absturz beim Beenden, wenn das Programm nicht im Vordergrund war, wurde 
  behoben.
- Ein Absturz beim Erzeugen einer Dokumenten-URL auf einer Maschine ohne Namen 
  wurde behoben.
- Ein Absturz beim Schliessen eines Dokuments während eines aktiven Suchen und 
  Ersetzen wurde behoben.
- Ein Absturz beim Ändern der Kodierungsliste nach dem Umordnen und Schliessen 
  von Tabs wurde behoben. 
- Ein Geschwindigkeitsproblem beim automatischen Erstellen einer 
  Sicherheitskopie auf G4 Rechnern wurde behoben.
- Ein Problem bei der Darstellung von Zeilennummern beim langsamen Scrollen 
  wurde behoben.
- Ein Problem beim Drucken von Dokumenten mit der Einstellung "Umgebrochene 
  Zeilen einrücken" wurde behoben.
- Ein Problem beim Erkennen von Zeichensätzen das Windows Latin 2 Kodierungen 
  bevorzugte wurde behoben.
- Ein Problem bei Erzeugen von IPv6 Dokumenten URLs wurde behoben.
- Ein Problem mit Link Local IPv6 Dokumenten URLs wurde behoben.
- Ein Problem das im Suchen Dialog beide Bereiche selektiert hat wurde behoben.
- Ein Problem mit regulären Ausdrücken Javascript wurde behoben.
- Ein Problem beim Erkennen von LaTeX Symbolen wurde behoben.
- Ein Problem beim Erkennen von C++ inline member functions wurde behoben.
- Ein Problem beim Erkennen von Klammern in Kommentaren und Zeichenketten im 
  PHP Modus wurde behoben.


SubEthaEdit 3.0.1
=================

Veränderugen:
- Die Zeit welche SubEthaEdit zum Starten benötigt wurde verringert.

Korrekturen:
- Ein Fehler wurde behoben durch das SubEthaEdit beim Start bei fehlenden 
  Developer Tools mehrfach nach dem Ort von Xcode fragte.
- Ein Fehler wurde behoben durch den der Titel des Dokumentes im Tab sowie im 
  Statistik Fenster nicht aktualisiert wurde, falls der Gastgeber diesen 
  änderte.
- Ein Fehler im PHP-HTML Modus wurde behoben, der <?= nicht als Start von PHP 
  erkannt hat, sondern als einen XML Prolog.


SubEthaEdit 3.0
===============

Neue Funktionen:
- Verbindungen werden nun falls möglich mit TLS/SSL Verschlüsselung versehen.
- Mit dem "SubEtha Text"-Dateiformat werden Kollaborations-Metadaten sowie der 
  Verlauf mit gespeichert. Das Dateiformat unterstützt sowohl Spotlight als 
  auch QuickLook.
- Kollaborations-Metadaten werden soweit möglich übermittelt und erhalten.
- Das Statistik-Fenster (Befehl-I) zeigt an wieviele Zeichen, Wörter und Zeilen 
  sich im Dokument befinden und noch weitere nützliche Informationen über die 
  Autoren und Teilnehmer.
- Ein Interface um einfach festzulegen wann und für welche Dateien ein Mode 
  verwendet werden soll.
- Veränderte, ungespeicherte Dokumente werden nach einem Absturz 
  wiederhergestellt (inklusive Metadaten).
- Der Syntax Highlighter kann "states" jetzt beliebig verschachteln.
- Der Syntax Highlighter erlaubt belibiges unlimitiertes Verlinken und 
  Importieren von "states".
- Der Syntax Highlighter erlaubt im Ende eines "states" jetzt Bezüge auf den 
  Anfang. Damit werden z.b. HEREDOC Elemente unterstüzt.
- Das see-Kommandozeilen Tool erlaubt jetzt das Setzten der Auswahl, das 
  Anspringen von Zeilen, öffnen von Dateien in Tabs sowie das Aktivieren der 
  Veränderungsmarkierung für "pipe"-Dokumente.
- Die Funktion "automatisch" bei der Dateikodierung wurde komplett 
  überarbeitet. Jetzt werden meta-tags, BOMs jeglicher Art, erweiterte 
  Dateiattribute sowie im Zweifel eine heuristische Inhaltsanalyse 
  berücksichtigt.
- Die Symbolerkennung ignoriert nun Kommentare.
- Das Benutzerbild ist nun veränderbar.
- Ein neuer Beobachten-Knopf ermöglicht einfacheres Beobachten von Teilnehmern.
- Neue Modi: SVNLog, SDEF, ERB (eRuby), ColdFusion und Lasso.
- Das neue und überarbeitete Verbindungen Fenster vereinheitlicht die 
  "Bonjour"- und "Internet"-Fenster 
- Ein neuer Menübefehl zum Freigeben von allen offnen Dokumenten.
- Ein neuer Menübefehl um Dateien in Tabs / dem vordersten Fenster zu öffnen.
- Ein neuer Menübefehl um die Veränderungsmarkierungen wiederherzustellen - 
  besonder nützlich im zusammenhang mit dem neuen Dateiformat.
- Ein neuer Menübefehl um XML zu reformatieren welcher die Tabulator und 
  Einrückungs-Einstellung des Benutzers berücksichtigt.
- Die Regulären Audrücke sind noch mächtiger geworden. Mehr Details unter 
  (Hilfe->Reguläre Ausdrücke).

Veränderugen:
- Die Mode-Erkennung bietet eine Option für Nicht-Berücksichtigung von 
  Groß-/Kleinschreibung für Dateierweiterungen.
- Die Geschwindigkeit des Syntax-Highlighters wurde verbessert.
- Folgende Modi wurden massiv verbessert und nutzen nun die neuen Möglichkeiten 
  des Syntax Highlighters: PHP/HTML, Perl, XML, XSLT, HTML, Objective-C, C++, 
  C, Diff, Python.
- Die Fehlermeldungen wurden Aussagekräftiger gemacht.
- Beim Automatischen Software Update werden nun nach dem Update die aktuellen 
  Fenster und Dateien wieder geöffnet.
- Neue Grafiken für das Auflösungsunabhängigkeit-Feature von Leopard sowie den 
  neuen Finder und QuickLook.

Korrekturen:
- Verbesserte Kompatibilität mit Mac OS X 10.5 Leopard
- Bei vielen Modi wurde die Mode-Erkennung um Inhaltsanalyse erweitert.
- Die Klammern-Hervorhebung und -Auswahl berücksichtigt nun Kommentare und 
  Zeichenketten.
- Die Autovervollständigen-Funktion berücksichtigt nun die 
  "charsinautocompletion" option der Syntaxdefinition.
- Ein Fehler wurde behoben der Fenster zu weit links ausserhalb des sichtbaren 
  Bereiches geöffnet hatte, falls ein externer Monitor entfernt wurde.


SubEthaEdit 2.6.5
=================

Korrekturen:
- Ein Absturz wurde behoben der beim Schliessen eines Dokumentes auftreten 
  konnte, wenn die Web Vorschau sich gerade aktualisierte.
- Ein Fehler wurde behoben durch den "Zeilen umbrechen" nicht richtig 
  eingeschalten wurde, wenn sich kein Text im Document befand, der zum 
  Zeitpunkt des Einschaltens umgebrochen werden musste.
- Ein Fehler wurde behoben, welcher dafür sorgte, dass das letzte Zeichen einer 
  Änderung manchmal nicht richtig markiert dargestellt wurde.
- Ein Fehler wurde behoben, welcher zum Schliessen des automatisch geöffneten 
  Dokumentes führte, wenn man es über das Fenster Menü aktivierte.


SubEthaEdit 2.6.4
=================

Neue Funktionen:
- Ein neues AppleScript Verb "show" wurde hinzugefügt. "show" zeigt das 
  vorderste Fenster bzw. Tab eines Dokuments.
- Unterstützung für die systemweite hervorhebende Animation beim finden von 
  gesuchtem Text unter Mac OS X 10.5
- Dreifach-Klick selektiert jetzt Elemente im gleichen Stil. Z.B. Strings oder 
  Variablen.
- Der Speichern Dialog selektiert den Dateinamen ohne Erweiterung vor.

Veränderugen:
- Die Syntaxeinfärbung des Perl Modus wurde verbessert
- Der Objective-C Modus unterstützt jetzt Objective-C 2.0 sowie die neuen 
  Klassen, Methoden und Konstanten von Mac OS X 10.5
- Das Verhalten von sich neu öffnenden Fenster mit mehreren Monitoren wurde 
  verbessert. Das neue Fenster öffnet sich jetzt immer auf dem Monitor des 
  vordersten Dokuments.
- Der Hilfe Menüeintrag "Fehler an TheCodingMonkeys" melden führt jetzt direkt 
  zur Eingabemaske auf https://www.codingmonkeys.de/bugs und wählt die korrekte 
  Version aus.
- Beim schliessen von aufgeteilten Fenstern wird jetzt nicht mehr die Position 
  des oberen Textfeldes, sondern die des aktiven Textfeldes berücksichtigt.
- In allen Modi, die Syntax-Check beherrschen, wurde dieses Script so 
  verändert, dass es sowohl mit beliebigen Dateikodierungen als auch mit Tabs 
  einwandfrei funktioniert.

Korrekturen:
- Ein Fehler wurde behoben, der einen neu eingegebenen Suchbegriff mit dem 
  systemweiten Suchbegriff überschrieben hat.
- Ein Fehler wurde behoben, bei dem der Übergang zwischen Beitritts- und 
  Einladungsfenster stecken blieb.
- Ein Fehler wurde behoben, der beim Drücken von Apfel-1 bis Apfel-9 falsche 
  Tabs selektierte, nach dem diese umsortiert wurden.
- Ein Absturz im Zusammenhang mit Tastaturkürzeln für Tabs wurde behoben.
- Ein Absturz wurde behoben der in unglücklichen Fällen bei Dokumenten deren 
  erstes Zeichen ein Leerzeichen war, beim Löschen eben diesem, auftrat.
- Ein Fehler wurde behoben, der dazu führts dass im Dateikodierungsdialog die 
  Schaltflächen im falschen Stil angezeigt wurden.
- Ein Problem wurde behoben, bei dem nicht angezeigt wurde dass ein Mitbenutzer 
  den Beitritt abgebrochen hat.
- Ein Absturz der Netzwerkkomponente mit modalen Operation wurde behoben. Z.B. 
  beim Laden eines Modes mit einem AppleSkript das eine unbekannte Applikation 
  referenziert.
- Ein Absturz der Liste der Dateikodierungen wurde behoben, der auftreten 
  konnte wenn Tabs mit der Maus geschlossen wurden.
- Ein Problem mit dem Syntax-Check des PHP Modus wenn bereits ein 
  Ausgabe-Dokument vorhanden war wurde behoben.
- Ein Fehler unter Mac OS X 10.5 wurde behoben, durch den mit der Option 
  "Unischtbare Zeichen anzeigen" Leerzeichen als Diamanten dargestellt wurden.


SubEthaEdit 2.6.3
=================

Veränderugen:
- Die Verarbeitung von fremden Textveränderungen wurde robuster gemacht.
- Das Öffnen einer Datei, die "Unbenannt.txt" ersetzt, erhöht nicht mehr die 
  Position im Fensterstapel.

Korrekturen:
- Ein Fehler wurde behoben, durch den eine vorhandene Verbindung keine 
  Änderungen mehr übermittelt.
- Ein Fehler wurde behoben, durch den ein Verbindungsabbruch in seltenen Fällen 
  einseitig nicht registriert wurde.
- Ein Fehler wurde behoben, bei dem nach einem nicht registrierten 
  Verbindungsabbruch ein erneuter Verbindungsaufbau zu einem Absturz führte.
- Ein Fehler wurde behoben, durch den eine abgebrochene, sich im Aufbau 
  befindende, Dokumenten-Verbindung über eine Leitung mit hoher Latenz zu einem 
  Absturz führte.
- Ein Fehler wurde behoben, der zu einem Absturz führte, wenn die Verbindung 
  während der Übertragung des Dokumentes abgebrochen wurde.
- Ein Fehler wurde behoben, durch den Fenster zu weit am rechten Bildschirmrand 
  platziert wurden, um komplett angezeigt zu werden.
- Die Farbe des Mauszeigers ist nun auch dann weiß, wenn erst im Laufe der 
  Benutzung des Dokumentes ein Wechsel von hellem auf dunklen Hintergrund 
  erfolgt.
- CSS Modus mit verbesserter Färbung von Kommentaren.
- PHP-HTML Modus mit verbesserter Unterstützung von PHP 5.


SubEthaEdit 2.6.2
=================

Korrekturen:
- Ein Fehler in der Web Vorschau wurde behoben, durch den Ressourcen wie z.B. 
  Bilder nicht mehr geladen wurden.
- Ein Fehler in der Web Vorschau wurde behoben, durch den Javascript nicht 
  korrekt ausgeführt wurde.
- Ein Fehler wurde behoben, durch den die Syntax Option für reguläre Ausdrücke 
  nicht korrekt berücksichtigt wurde.
- Verbesserter Modus: Lua.


SubEthaEdit 2.6.1
=================

Veränderugen:
- Suchergebnisse im 'Alles suchen' Ergebnisfenster können nun ausgewählt werden 
  ohne zuvor das Fenster zu aktivieren.
- Die 'Alles suchen' Funktion selektiert nun das erste Ergebnis im 
  Editorfenster.
- Geringere Verzögerungszeiten beim gemeinsamen Arbeiten durch Abschaltung des 
  Nagle Algorithmus.
- SubEthaEdit registriert sich nun für Dateien des Typs 'TEXT'.
- Auf Änderungen durch andere Anwendungen an geöffneten Dokumenten wird nun je 
  nach Bearbeitungszustand der Dokumente hingewiesen.

Korrekturen:
- Ein Fehler wurde behoben, der beim Ausführen der 'Check Syntax' Funktion in 
  der Symbolleiste zum Absturz führen konnte.
- Ein Fehler im Netzwerk-Stack wurde behoben, der zum Absturz unter Mac OS X 
  Leopard führen konnte.
- Ein Problem wurde behoben, durch den die 'Tableiste immer einblenden' 
  Funktion nicht immer korrekt funktionierte.
- Ein Fehler wurde behoben, der zum Absturz führen konnte, wenn Tabs mit 
  aufgeteilten Fenstern verschoben wurden.
- Ein Fehler in den Einladungsfenstern wurde behoben, durch den die Knöpfe 
  unter Mac OS X Leopard nicht korrekt dargestellt wurden.
- Ein Fehler in den Einladungsfenstern wurde behoben, durch den die Knöpfe 
  nicht mit dem kompletten Tastaturzugang funktionierten.
- Ein Fehler, bei dem ein Dokument nach dem Reinterpretieren mit einer anderen 
  Dateikodierung als bearbeitet angezeigt wurde, wurde behoben.
- Ein Problem wurde behoben, der das Öffnen von HTML-Dateien lange hinauszögern 
  konnte.
- Ein Problem wurde behoben, durch das der Editor beim Verändern der 
  Fensteraufteilung nicht ganz den linken Rand angezeigt hat.
- Ein Fehler wurde behoben, bei dem die Auswahl nach dem Reinterpretieren mit 
  einer anderen Dateikodierung oder dem Laden der letzten Version zerstört 
  wurde.
- Verbesserter Modus: Lua.


SubEthaEdit 2.6
===============

Neue Funktionen:
- Textfenster können mehrere Dokumente enthalten, die durch Tabs in einer 
  Tableiste repräsentiert werden.
- Eine Option für das Öffnen von neuen Dokumenten in Tabs hinzugefügt.
- Ein zusätzliches Menükommando für das Erzeugen neuer Tabs hinzugefügt.
- Fenster und Tabs können unabhängig voneinander geschlossen werden.
- Das Kommando 'Tableiste immer einblenden' hinzugefügt, um die Tableiste ein- 
  oder auszublenden.
- Ein Tab kann mit dem Kommando 'Tab in ein neues Fenster bewegen' aus 
  bisherigen Fenster herausgenommen werden.
- Alle Fenster können mit dem Kommando 'Alle Fenster zusammenführen' in einem 
  einzigen Fenster zusammengeführt werden.
- Zur Navigation zwischen Tabs kann per Menükommando der vorherige oder der 
  nächste Tab ausgewählt werden.
- Das Untermenü 'Gehe zu Tab' hinzugefügt, das alle Tabs auflistet.
- Tabs können mit der Maus durch Anfassen und Ziehen umarrangiert werden.
- Tabs können auch zwischen Fenstern hin- und hergezogen werden.

Veränderugen:
- Die Funktion 'Alles suchen' hebt nun nach der Suche das erste Suchergebnis 
  anstatt dem letzten hervor.
- Einladungen werden nun über allen anderen Fenstern und in der rechten oberen 
  Ecke des Bildschirms dargestellt.
- Einladungen haben nun ein neues transparentes Erscheinungsbild.

Korrekturen:
- Ein Fehler, bei dem eine überflüssige Warnung beim Öffnen von Modus-Dateien 
  angezeigt wurde, wurde behoben.
- Mehrere Fehler in der deutschen Lokalisierung wurden ausgebessert.
- Ein Fehler, bei dem die Lowercase und Uppercase Skripte Unicode-Text nicht 
  korrekt behandelt haben, wurde behoben.
- Ein Problem, bei dem die Hervorhebungsfarbe auf dunklen Hintergründen zu 
  dunkel war, wurde behoben.
- Ein Fehler beim Installieren von Modi für alle Benutzer wurde behoben.
- Ein Fehler, bei dem das Open Terminal in Enclosing Folder Skript bei Pfaden 
  mit Anführungszeichen fehlschlug, wurde behoben.
- Ein Fehler, bei dem die Zeilennummer in der Statuszeile nicht korrekt 
  angezeigt wurde, wurde behoben.
- Verbesserte Modi: ActionScript, C, C++, HTML, Javascript, Lua, Objective-C, 
  Perl, Python.


SubEthaEdit 2.5.1
=================

Neue Funktionen:
- Konvertierung der Dateikodierung: Eine Unterstützung zur Identifizierung von 
  Zeichen, die nicht in der neuen Dateikodierung dargestellt werden können, 
  wurde hinzugefügt. Die Möglichkeit zur verlustbehafteten Konvertierung ist 
  ebenfalls hinzugekommen.
- Konvertierungen der Dateikodierung sind nun widerrufbar.
- Eingrückter Zeilenumbruch: Umgebrochene Zeilen können nun um den gleichen 
  Wert eingerückt werden, wie der Beginn der Zeile. Ein zusätzliche Einrückung 
  ist ebenso möglich.
- Eine Seitenmarkierung des rechten Randes kann nun dargestellt werden. Die 
  Breite kann in Zeichenspalten angegeben werden.
- Text kann nun verlustbehaftet eingefügt werden, wenn er nicht in der 
  aktuellen Dateikodierung repräsentiert werden kann.
- Die Druckfunktion kann nun den kompletten Pfad einer Datei in der Kopfzeile 
  ausgeben.
- Eine auf Sparkle basierende Software-Aktualisierungsfunktion wurde 
  hinzugefügt, um aus SubEthaEdit heraus nach neuen Versionen zu suchen und 
  diese zu installieren.
- Modus-spezifisch können UTF-8 kodierte Dateien mit einem UTF-8 BOM gesichert 
  werden.
- Eine Unterstützung zur Meldung von Abstürzen wurde eingebaut.

Veränderugen:
- Der Tastatur-Kurzbefehl für die "Check Syntax"-Funktion wurde auf 
  ctrl-befehl-b geändert, um einen Konflikt mit der Blockedit-Funktion zu 
  vermeiden.
- Die Farbe des Mauszeigers ist nun weiß, wenn ein dunkler Hintergrund 
  verwendet wird.
- Die Gruppenzugehörigkeit neuer Dateien wird nun auf die primäre Gruppe des 
  aktuellen Benutzers gesetzt.
- Die Bezeichnung der Zeilenenden wurde klargestellt, um darauf hinzuweisen, 
  dass LF auch das empfohlene Zeilenende unter Mac OS X ist.
- Es wird auf Geschwindigkeitsverbesserungen des darunterliegenden Text-Systems 
  zurückgegriffen, wenn SubEthaEdit unter Leopard ausgeführt wird.
- Die Menüeinträge zum Registrieren und Kaufen von SubEthaEdit werden nun 
  deaktiviert sobald es registriert wurde.
- Wenn "Beim Starten neues Dokument öffnen" aktiviert ist, werden neue und 
  bisher unbenutzte Dokumentenfenster wiederbenutzt, wenn das see-Kommando mit 
  unbekannte Dateinamen aufgerufen wird.

Korrekturen:
- Ein Problem wurde behoben, bei dem keine Warnung angezeigt wurde, wenn die 
  Zeilenenden in einer gerade geöffneten aber nicht schreibbaren Datei 
  konvertiert wurden.
- Ein Fehler beim Exportieren von HTML, der Bilder an der gleichen Stelle wie 
  die HTML-Datei speicherte, wenn ein Ordner für die Bilder bereits existierte, 
  wurde behoben.
- Die fehlerhafte Übersetzung des Dienstemenüs von SubEthaEdit wurde behoben.
- Eine Warnung wird nun angezeigt, wenn eine mit ISO Latin-2 geöffnete Datei 
  als UTF-8 reinterpretiert werden soll und dies fehlschlägt.
- Ein Problem, bei dem das UTF-8 BOM einer Datei nicht erhalten wurde, wurde 
  behoben.
- Ein Problem mit der automatischen Erkennung der Dateikodierung wurde behoben, 
  bei dem Dateien mit UTF-8 BOM nicht als UTF-8 kodierte Dateien erkannt 
  wurden.
- Ein Fehler, durch den die Zeilennummern nicht korrekt gezeichnet wurde, wurde 
  behoben.
- Ein Problem wurde behoben, durch das inkonsistente Zeilenenden durch das 
  Wechseln des Modus erzeugt werden konnten.
- Das Wechseln der benutzten Zeilenenden ist nun widerrufbar.
- Eine fälschlicherweise angezeigte Warnung, die beim Bearbeiten einer Datei 
  auftrat, die zuvor mit der nötigen Autorisierung gesichert wurde, wurde 
  entfernt.
- Ein Problem wurde behoben, bei dem das Dokument in bestimmten 
  Dateikodierungen nicht übertragen wurde.
- Ein Problem, bei dem ein fehlerhafter Verbindungsaufbau zum Absturz führte, 
  wurde behoben.
- Ein Problem wurde behoben, bei dem die "Edit/Insert HTML Color" Funktion die 
  gerade ausgewählte Farbe nicht korrekt darstellte.
- Verbesserte Modi: bash, C, C++, CSS, HTML, Java, Objective-C, Perl, PHP-HTML, 
  Python, Ruby, XML.


SubEthaEdit 2.5
===============

Neue Funktionen:
- AppleScript-Menü hinzugefügt.
- AppleScript-Skripte können mit Modi ausgeliefert werden. Sie tauchen im 
  Modus-Menü auf und optional in der Symbolleiste und dem Kontextmenü.
- Skriptfähigkeit: Modi stehen als AppleScript Objekte zur Verfügung.
- Skriptfähigkeit: Selection Attribut zur den application, document und window 
  Klassen hinzugefügt.
- Skriptfähigkeit: Mehr Attribute zu den Text-Klassen hinzugefügt.
- Skriptfähigkeit: Web preview base url Attribut zur document Klasse 
  hinzugefügt.
- Skriptfähigkeit: Columns und rows Attribute zur window Klasse hinzugefügt.
- Skriptfähigkeit: Undo grouping Kommandos hinzugefügt.
- Skriptfähigkeit: Clear change marks Kommando hinzugefügt.
- Dock-Symbol-Plakette zur Anzeige der Einladungen hinzugefügt.
- Modi können neu geladen werden ohne die Anwendung neu zu starten.
- Versteckte Dateien können in den "Öffnen" und "Sichern" Dialogen angezeigt 
  werden.
- Ein Klick auf die Zeilennummer wählt die ganze Zeile aus.
- Modi können mit Hilfe der Anwendung installiert werden.
- Zeilenenden, die nicht der Einstellung des Dokuments entsprechen, werden rot 
  gefärbt angezeigt.
- Auswahl des Modus für ein Dokument wird auch durch den Dateinamen und den 
  Inhalt der Datei beeinflußt.
- Symbol für "Unsichtbare Zeichen anzeigen" zur Symbolleiste hinzugefügt.

Veränderugen:
- Einige Modus-Einstellungen wurden von der jeweiligen Info.plist in 
  ModeSettings.xml verschoben.
- Der Export zu HTML erzeugt einen Bilder-Ordner namens '<exportname>_images'. 
- Skriptfähigkeit: Document Objekte liefern einen id-basierten Specifier.
- Skriptfähigkeit: Text document Klasse entfernt und ersetzt durch die document 
  Klasse.

Korrekturen:
- Privilegierte Operationen werden per Dokument authorisiert.
- Ein Problem, bei dem "Ersetzen & Suchen" Treffer ausließ, wurde behoben.
- Ein Problem, bei dem die Syntax-Einfärbung die Reihenfolge von mehr als acht 
  Keyword-Gruppen nicht beachtete, wurde behoben.
- Die Ladezeit von Dokumenten wurde verbessert.
- Ein Problem, bei dem die "Zeilen umbrechen" Einstellung beim "Auf offene 
  Dokumente anwenden" ignoriert wurde, wurde behoben.
- Ein Problem, bei dem Fenster in der Größe nicht richtig angepaßt wurden, 
  falls Zeilenumbruch in einem Dokument mit langen Zeilen deaktiviert war, 
  wurde behoben.
- Das automatische Blättern wurde im Zusammenhang mit Blockedit verbessert.
- Ein Problem, bei dem der Wahltaste-Klick währen Blockedit sich nicht richtig 
  verhalten hat, wurde behoben.
- Ein Problem, bei dem die angegebene Fenstergröße vom see Kommandozeilentool 
  nicht beachtet wurde, wurde behoben.
- Ein Problem, bei dem das see Kommandozeilentool eine leere Eingabe nicht 
  richtig gehandhabt hat, wurde behoben.
- Der Pfade von einem entfernten Dokument wird angezeigt, wenn es mittels einem 
  FTP-Programm bearbeitet wird.
- Ein Absturz, der von einem defekten Modus ausgelöst werden konnte, wurde 
  behoben.
- Die Unterstützung von einheitlichen Zeilenenden in einem Dokument wurde 
  verbessert.
- Ein Problem, bei dem die Zugriffskontrolle von entfernten Dokumenten per 
  Skript manipuliert werden konnte, wurde behoben.
- Ein Problem, bei dem die Größe der Web-Vorschau nicht korrekt 
  wiederhergestellt wurde, wurde behoben.
- Ein Problem, bei dem die "Editor verwendet Tabulatoren" Einstellung nicht 
  richtig funktionierte, wurde behoben.
- Ein Problem, bei dem der Bilder-Ordner während des Exportierens 
  unnötigerweise angelegt wurde, wurde behoben.
- Ein Problem, bei dem der Fenstertitel nicht korrekt gesetzt wurde, wenn das 
  see Kommandozeilentool mit der Titel-Option aufgerufen wurde, wurde behoben.
- Das Überschreiben von Verzeichnissen wird verhindert.
- Ein Problem, bei dem die Syntax-Einfärbung beim Einfügen von Zeilenumbrüchen 
  nicht korrekt färbte, wurde behoben.
- Ein Problem, bei dem die Dateikodierung des Dokuments beim "Ersetzen" nicht 
  berücksichtigt wurde, wurde behoben.
- Die defekten Tastatur-Kurzbefehle im Suchfenster wurden behoben.
- Der Export-Dialog erläutert nun seinen Zweck.
- Die Rückmeldung beim Suchen in der Auswahl wurde verbessert.
- Die Geschwindigkeit der Syntax-Einfärbung im Falle von Zuständen ohne 
  Plain-Text-Strings wurde verbessert.
- Verbesserte Modi: bash, C, C++, CSS, HTML, Java, Lua, Objective-C, Perl, 
  PHP-HTML, Python, Ruby, SQL, XML.


SubEthaEdit 2.3
===============

Neue Funktionen:
- Neuer eingebauter Modus für .diff Dateien und Patches.
- "Alle schließen" und "Alle sichern" Kommandos zum Ablage-Menü hingezugefügt.
- Aufgefrischte Benutzer Schnittstelle.
- Schneller Zugriff auf Modus, Tabs, Zeilenenden, Dateikodierung und Umbruch 
  mittels ausklappenden Menüs in der unteren Status Zeile, die ausserdem mit 
  der Tastatur bedienbar sind (Ctrl-4 bis Ctrl-7).
- Klicken bzw. Doppelklicken des Positionsfelds scrollt zur Einfügemarke bzw. 
  öffnet das "Gehe zu Zeile" Fenster.
- Halten der Shift-Taste während der Maximieren Knopf eines Fensters gedrückt 
  wird, vergrössert das Fenster auf Bildschirmausmaße.
- Aktualisierung der Web Vorschau nach Speichern einer referenzierten CSS 
  Datei.
- Die Anzahl der angezeigten Dokumente im "Benutzte Dokumente" Menü ist nun 
  einstellbar.

Veränderugen:
- Autovervollständigen kann nun im Standard-Modus und im Konferenz-Modus auch 
  Wörter aus dem Wörterbuch der Rechtschreibprüfung enthalten.
- "Alles ersetzen" erhält nun die Auswahl in beiden Suchbereichseinstellungen.
- Generierte fette Schnitte wurden für dunkle Hintergründe angepasst 
  (generierte fette Schnitte sahen dünner aus).
- Beim Laden von Modi werden umfangreichere Tests durchgeführt um Modus-Autoren 
  zu unterstützen.
- Kollaborations-Metadaten sind in den Druckvoreinstellungen deaktiviert.
- Links zu den Dokumenten verwenden entweder den Bonjour Namen, wenn eine 
  lokale IP-Adresse benutzt wird, oder die öffentliche IP-Adresse, falls 
  vorhanden.
- Autovervollständigen wurde im Suchen-Fenster deaktiviert.
- "Änderungen hervorheben" ist nun einen anhakbare Menü-Option.

Korrekturen:
- Die Geschwindigkeit von Autovervollständigen wurde massiv erhöht.
- Deaktivieren der Syntaxeinfärbung beim Exportieren funktioniert nun.
- Ein Problem bei dem Dokumente, denen per Netzwerk beigetreten wurde, vom Dock 
  verdeckt werden, wurde behoben.
- Ein Problem bei dem in manchen Fällen weißer Text auf weißem Hintergrund 
  gedruckt wird, wurde behoben.
- Probleme mit FileVault wurden behoben.
- Ein Problem mit der Statusanzeige des Internet Fenster wurde behoben.
- Geerbte Attribute eines Modes wurden nicht korrekt gesetzt wenn man "Auf 
  offene Dokumente anwenden" benutzt.
- Ein Problem mit der Anzeige der letzten Zeilennummer behoben.
- Wenn man Text von Safari auf das SubEthaEdit Icon zieht, werden 
  Hintergrundfarbe und Links nicht mehr übernommen.
- Änderungen an den Editor-Einstellungen wurden nicht korrekt auf die offenen 
  Dokumente angewendet.
- Der Unicode-Erweiterungs-Dialog wird nun nicht mehr während des 
  Zusammensetzens von Zeichen angezeigt.
- Einstellungsänderungen von Benutzern werden nun auch ohne direkte Verbindung 
  korrekt weitergegeben und dargestellt.
- Der eigene Name wird nun auch bei Änderung im Internet- und Bonjour-Fenster 
  korrekt dargestellt.
- Ein Problem mit Tiger wurde behoben, welches eine falsche Reihenfolge der 
  Eingabefelder im Suchen und Ersetzen Fenster zur folge hatte.
- Pfad-Bestandteile im Fenstertitel werden nun korrekt dargestellt.
- Hard links werden jetzt beim Speichern nicht mehr aufgebrochen.
- Ein Absturz wurde behoben, der auftrat wenn man die Zeilenenden in einem 
  Dokument zu Unicode Line / Paragraph Separators konvertierte.
- Ein Problem wurde behoben, bei dem Drucken auf ein randloses Papierformat 
  eine leere Kopfzeile zu folge hatte.
- Die Grenzzeichen für das Autovervollständigen können in einer Modus-Datei 
  angegeben werden.
- Die folgenden Modi wurde substantiell verbessert: ActionScript, C++, C, CSS, 
  Conference, HTML, Javascript, Lua, Objective-C, PHP-HTML, Pascal, Perl, 
  Python, Ruby.
- "Blockedit beenden" im Bearbeiten Menü wird nun korrekt validiert.


SubEthaEdit 2.2
===============

Neue Funktionen:
- Universal Binary - SubEthaEdit läuft jetzt nativ auf Intel Macs.
- Text auf das Applikation-Icon draggen öffnet ein neues Dokument mit dem Text.
- Erweiterungen von neuen Dokumenten werden anhand des Modus ausgewählt.
- "Alle finden" kann benutzt werden um im Dokument zu navigieren.
- Ausgewählte Zeilen können in "Alle finden" kopiert werden.

Veränderugen:
- Mehr Klassen und Konstanten in Objective-C.mode.
- Bessere PHP Funktionserkennung und kompletter PHP5 Wortschatz.
- Mehr Vervollständigungen für Ruby (Core-API, Std-Lib und rubyonrails Klassen 
  und Methoden)
- Einladungsfenster werden etwas prominenter dargestellt.

Korrekturen:
- Selektions Anzeige/Neuzeichen Bug im kollaborativen Modus under Tiger gefixt.
- Ein Problem mit dem Input Fokus bei Dokumenten denen man gerade beigetreten 
  ist korrigiert.
- Tatsatur Navigation in "Alle Finden" verbessert.
- Einen Bug im Syntax Highlighter beseitigt, der in seltenen Fällen das Färben 
  bis zum Neuladen verhindert hat.
- Ein Problem mit dem Kontext Menü und dem Aktions Menü korrigiert, bei dem 
  Optionen nicht ausgegraut wurden.
- Fenster für neue Domkumente können nicht mehr unter das Dock rutschen.
- Einen Bug beseitig, der Fenster nicht in ihrer eingestellten Grösse 
  erscheinen ließ wenn "Datei->Neu->Mode" oder das Kommandozeilentool benutzt 
  wurde.
- Ein Problem mit dem Kommandozeilentool und Modewahl bei Aufruf mit mehreren 
  Dateien korrigiert.
- Die Zeilenumbruch-Funktion behält jetzt ihre Einstellung bei.
- Der Maximieren Knopf von Fenstern verhält sich entsprechend der HIG.
- Wortgrenzen für Autocomplete und Selektion für Tiger angepasst.
- Ein Problem mit see:// URL beseitig, das verhindert das in einigen Fällen 
  nicht automatisch das Dokument geöffnet wurde.
- Modezuweisung verändert, sodass sie auch funktioniert wenn das erste Sichern 
  abgebrochen wird.
- Der XHTML Export und "Als XHTML kopieren" behandelt jetzt Anführungszeichen 
  als Entities.
- Das Kommandozeilentool hält sich an die Dateikodierungseinstellung des Modes.
- Der Kommandozeilentool Parameter --mode ignoriert jetzt 
  Gross-/Kleinschreibung.
- Geschwindigkeit von "Unsichtbare Zeichen anzeigen" massiv erhöht.
- Einen Bug mit POD Kommentaren im Perl.mode korrigiert.

